commit: f959ba4a419513730e0dfb944c1bb86457a9a03a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 18 06:56:31 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 18 07:31:47 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f959ba4a
dev-python/googleapis-common-protos: Bump to 1.69.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/googleapis-common-protos/Manifest | 1 +
.../googleapis-common-protos-1.69.2.ebuild | 31 ++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-python/googleapis-common-protos/Manifest
b/dev-python/googleapis-common-protos/Manifest
index efe7517d8ce2..0b39d92b05a8 100644
--- a/dev-python/googleapis-common-protos/Manifest
+++ b/dev-python/googleapis-common-protos/Manifest
@@ -1,2 +1,3 @@
DIST googleapis_common_protos-1.68.0.tar.gz 57367 BLAKE2B
65888384edbe6b246fe8c6e17f13e3cbd8079f042914ead9c5315ab80889d72ce619e42089c5aa2aed528a38f99953d73be0ec5daf04aea5f2221d2bf09a2e1b
SHA512
a602ca0d2daef9c265eb4654adeb698ce66fa26db707650d09c7da3474e263b995431a89d0908c70a9d356f0bdcccd1d6b7b5f51f05ae2c98f58b8a41f782d35
DIST googleapis_common_protos-1.69.1.tar.gz 144514 BLAKE2B
0e3a57a916202d7831e41081c5af759ba3976c2db349ad7def08bb9c9e085850182a5fc5e5d969498129f01c4275d7817e66015de29f9bbc96c8495402cb1ba7
SHA512
5f11d230e0d5503e32aee5832481a1ff3241a987911b0e3ca44c083f9e53eca916f9b07a9d02743fbe7508da478c1b87743c1c18c0afa0f92fb8f81481ddc385
+DIST googleapis_common_protos-1.69.2.tar.gz 144496 BLAKE2B
0f6eeef6fc124062db6214fa4d90b9717e4c4fce6b61faa0864ba8946a6c1de4ff7941b8dae6e1a0fb09821ae79927cd1a45eb5768a7ea22a7d866e58fc9b489
SHA512
a8f6f6ab551813e05db06af9ec404e4e87dcf2ebdeeecc6976b11a7cf0ccf0e6ca500ba0c263dcb6b71290b3919c84e5af8c2705ae3f4a5b630831aea8ddb668
diff --git
a/dev-python/googleapis-common-protos/googleapis-common-protos-1.69.2.ebuild
b/dev-python/googleapis-common-protos/googleapis-common-protos-1.69.2.ebuild
new file mode 100644
index 000000000000..bf74597b6649
--- /dev/null
+++ b/dev-python/googleapis-common-protos/googleapis-common-protos-1.69.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python classes generated from the common protos in the googleapis
repository"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-common-protos/
+ https://pypi.org/project/googleapis-common-protos/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/protobuf-7[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}